{ ... }: {
  imports = [
    ./hardware-configuration.nix
    ../../common/common.nix
    ../../common/nginx.nix
    ../../common/netdata.nix
    ./wireguard.nix
  ];

  
  networking.hostName = "dyon";  
  
  networking.interfaces.ens3.ipv4.addresses = [ {
    address = "168.119.153.98";
    prefixLength = 32;
  }];
  networking.interfaces.ens3.ipv6.addresses = [{
    address = "2a01:4f8:c010:61dc::1";
    prefixLength = 64;
  }];
  networking.defaultGateway6 = {
    address = "fe80::1";
    interface = "ens3";
  };
  networking.defaultGateway = { address = "172.31.1.1"; interface = "ens3"; };

  clerie.monitoring = {
    enable = true;
    id = "35";
    privKeyFile = "/run/keys/wg-dyon_priv";
    pubkey = "4faakn5yfzukxRwo79iTawag4jzAFkErXHLeEvtoLCc=";
  };

  clerie.nginx-port-forward = {
    enable = true;
    tcpPorts."2222" = {
      host = "geon.net.entr0py.de";
      port = 2222;
    };
  };
}